.header-bg::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(8, 8, 8, 0.103);
}

.header-bg::after {
    content: "";
    position: absolute;
    top: 0;
    width: 80%;
    bottom: 0;
    left: 0;
    background-image: -moz-linear-gradient(
        0deg,
        rgb(16, 16, 16) 0%,
        rgba(16, 16, 16, 0) 100%
    );
    background-image: -webkit-linear-gradient(
        0deg,
        rgb(16, 16, 16) 0%,
        rgba(16, 16, 16, 0) 100%
    );
    background-image: -ms-linear-gradient(
        0deg,
        rgb(16, 16, 16) 0%,
        rgba(16, 16, 16, 0) 100%
    );
}

.article-img-container:before {
    border-top-right-radius: 1.5rem;
    border-top-left-radius: 1.5rem;
    transition: 1s;
    position: absolute;
    content: "";
    left: 0px;
    bottom: 0px;
    width: 100%;
    height: 0px;
    background-color: rgba(14, 13, 13, 0.322);
    visibility: hidden;
    opacity: 0;
    transform-style: preserve-3d;
    transform: perspective(370px) rotateY(90deg) translate(0px, 50px);
}
.article-container:hover .article-img-container:before {
    visibility: visible;
    opacity: 1;
    transform: perspective(370px) rotateY(0deg) translate(0px, 0px);
    height: 100%;
}
.article-container:hover .article-text {
    box-shadow: 0px 10px 60px 0px rgb(0 0 0 / 10%);
}
.article-container img {
    position: relative;
    z-index: -25;
    transition: 1s;
}
.article-container:hover img {
    transform: scale(1.1);
    position: relative;
}
